### Class

# Gsk Renderer

#### Description [src]

    abstract class Gsk.Renderer : GObject.Object {
      /* No available fields */
    }

`GskRenderer` is a class that renders a scene graph defined via a tree of `GskRenderNode` instances.

Typically you will use a `GskRenderer` instance to repeatedly call gsk_renderer_render() to update the contents of its associated `GdkSurface`.

It is necessary to realize a `GskRenderer` instance using gsk_renderer_realize() before calling gsk_renderer_render(), in order to create the appropriate windowing system resources needed to render the scene.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gsk_renderer_new_for_surface

Creates an appropriate `GskRenderer` instance for the given `surface`.

#### Instance methods

###### gsk_renderer_get_surface

Retrieves the `GdkSurface` set using gsk_enderer_realize().

###### gsk_renderer_is_realized

Checks whether the `renderer` is realized or not.

###### gsk_renderer_realize

Creates the resources needed by the `renderer` to render the scene graph.

###### gsk_renderer_render

Renders the scene graph, described by a tree of `GskRenderNode` instances, ensuring that the given `region` gets redrawn.

###### gsk_renderer_render_texture

Renders the scene graph, described by a tree of `GskRenderNode` instances, to a `GdkTexture`.

###### gsk_renderer_unrealize

Releases all the resources created by gsk_renderer_realize().

#### Properties

###### Gsk.Renderer:realized

Whether the renderer has been associated with a surface.

###### Gsk.Renderer:surface

The surface associated with renderer.

#### Class structure

    struct GskRendererClass {
      /* no available fields */
    }